> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/session-status > Get all the BGP session states for the devices ## OpenAPI ````json POST /v1/devices/session-status { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/session-status": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesSessionStatusPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesSessionStatusPostResponse" } } } } }, "description": "Get all the BGP session states for the devices" } } }, "components": { "schemas": { "v1DevicesSessionStatusPostRequest": { "type": "object", "properties": { "deviceIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 } } }, "additionalProperties": false }, "v1DevicesSessionStatusPostResponse": { "type": "object", "properties": { "bgpSessionDataMap": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/v1DevicesSessionStatusPostResponseData" } }, "bgpSessionMap": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/v1DevicesSessionStatusPostResponseData" } }, "bgpSessionStates": { "type": "array", "items": { "$ref": "#/components/schemas/v1DevicesSessionStatusPostResponseData" } } }, "additionalProperties": false }, "v1DevicesSessionStatusPostResponseData": { "type": "object", "properties": { "coreBgpNeighborsCount": { "type": "integer", "format": "int32", "example": 123 }, "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "odpBgpNeighborsCount": { "type": "integer", "format": "int32", "example": 123 }, "wanInterfacesCount": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````